> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1mecertificates



## OpenAPI

````yaml /api/openapi.json get /api/v1/me/certificates
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/me/certificates:
    get:
      tags:
        - session
      operationId: listMyCertificates
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Certificate'
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    Certificate:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        code:
          type: string
          minLength: 1
        userId:
          type: string
          minLength: 1
        learnerName:
          type: string
          minLength: 1
        courseId:
          type: string
          minLength: 1
        courseTitle:
          type: string
          minLength: 1
        issuedAt:
          type: string
          minLength: 1
        basis:
          type: string
          enum:
            - completed
            - tested-out
        replaces:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        replacedBy:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
      required:
        - id
        - code
        - userId
        - learnerName
        - courseId
        - courseTitle
        - issuedAt
        - basis
        - replaces
        - replacedBy
      additionalProperties: false
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````